- can_override_approvers = project.can_override_approvers?

- if Feature.enabled?(:approval_rules, project)
  = render 'shared/merge_request_approvals_settings/multiple_rules_form', form: form, project: project
- else
  = render 'shared/merge_request_approvals_settings/single_rule_form', form: form, project: project

- if project.code_owner_approval_required_available?
  .form-group.require-code-owner-approval
    .form-check
      = form.check_box(:merge_requests_require_code_owner_approval, class: 'form-check-input')
      = form.label :merge_requests_require_code_owner_approval, class: 'form-check-label' do
        %strong= _('Require approval from code owners')
        = link_to icon('question-circle'), help_page_path('user/project/merge_requests/merge_request_approvals', anchor: 'editing-approvals-premium'), target: '_blank'

.form-group
  .form-check
    = form.check_box(:disable_overriding_approvers_per_merge_request, { checked: can_override_approvers, class: 'form-check-input' }, false, true)
    = form.label :disable_overriding_approvers_per_merge_request, class: 'form-check-label' do
      %strong= _('Can override approvers and approvals required per merge request')
      = link_to icon('question-circle'), help_page_path('user/project/merge_requests/merge_request_approvals', anchor: 'overriding-the-merge-request-approvals-default-settings'), target: '_blank'

.form-group.reset-approvals-on-push
  .form-check
    = form.check_box :reset_approvals_on_push, class: 'form-check-input'
    = form.label :reset_approvals_on_push, class: 'form-check-label' do
      %strong= _('Remove all approvals in a merge request when new commits are pushed to its source branch')

.form-group.self-approval
  .form-check
    = form.check_box :merge_requests_author_approval, class: 'form-check-input'
    = form.label :merge_requests_author_approval, class: 'form-check-label' do
      %strong= _('Enable self approval of merge requests')
      = link_to icon('question-circle'), help_page_path('user/project/merge_requests/merge_request_approvals',
        anchor: 'allowing-merge-request-authors-to-approve-their-own-merge-requests'), target: '_blank'
